* {
    box-sizing: border-box;
}

body {
    background-color: #000000;
    margin: 0;
    color: #ffffff;
}

.container {
    max-width: 1350px;
    margin: auto;
    padding: 0 10px;
}

.d-flex {
    display: flex;
}

.justity-content-center {
    justify-content: center;
}

.justity-content-space-around {
    justify-content: space-around;
}

.justity-content-space-between {
    justify-content: space-between;
}

.align-items-center {
    align-items: center;
}
.text-center {
    text-align: center;
}

img {
    max-width: 100%;
    height: auto;
}

.my-1 {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

#site-top-head {
    background: url('https://movie7-php82.postkhai.com/logo-img/BG-header-1920x106-1.jpg') center center / cover no-repeat;
    padding: 15px 0;
}

#site-top-head .site-desc {
    font-size: 30px;
    color: #a8a8a8;
}
.site-search > form {
    display: flex;
    align-items: center;
    gap: 3px;
}
.site-search input[type="text"] {
    background-color: #969696;
    width: 150px;
    height: 26px;
    padding: 3px;
    border-radius: 18px;
    font-size: 15px;
}

.site-search button {
    background: linear-gradient(90deg, #e47b00, #ce5904);
    color: #fce4aa;
    width: 105px;
    height: 24px;
    padding: 3px;
    border-radius: 18px;
    border: 0;
    text-transform: uppercase;
}



.widget {
    margin: 0 0 5px;
}
.widget-form,
.widget-menu ul,
.widget-year-list ul {
    background-color: #333333;
    margin: 0;
    padding: 0.8rem;
}
.widget-year-list {
    text-align: center;
}
.widget-year-list ul {
    display: flex;
    list-style: none;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
}

.widget-form {
    text-align: center;
}

.widget-menu li,
.widget-menu li > a {
    display: block;
}

.widget-title,
.sec-title,
.copyrights  {
    background: linear-gradient(to right, #462523 0, #cb9b51 22%, #f6e27a 45%, #f6f2c0 50%, #f6e27a 55%, #cb9b51 78%, #462523 100%);
    padding: 0.7rem 10px;
    text-align: center;
    text-shadow: 1px 1px 1px #000;
    margin: 0;
    border-top-left-radius: 0.4rem;
    border-top-right-radius: 0.4rem;
}
.sec-title {
    padding: 4px 10px;
    min-height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.widget-menu li > a {
    padding: 8px 10px;
}

.widget-menu li > a:hover {
    background-color: #222222;
}

#site-content > .container {
    display: flex;
    max-width: 1250px;
}

.site-sidebar {
    width: 19%;
    font-size: 14px;
}

.site-sidebar.left {
    order: 1;
}

.site-primary {
    width: 62%;
    order: 2;
}

.site-sidebar.right {
    order: 3;
}

.site-sidebar,
.site-primary {
    padding: 3px;
}

.ads-banner {
    display: block;
}
.ads-banner img {
    width: 100%;
}

.stream-list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 4px;
    width: 100%;
    margin: auto;
}
.stream-list > .box {
    background-color: rgb(51, 51, 51);
    height: auto;
    transition:
        transform 0.55s cubic-bezier(0.16, 1, 0.3, 1),
        box-shadow 0.55s cubic-bezier(0.16, 1, 0.3, 1);
}

.stream-list > .box:hover {
    transform: translateY(-10px) scale(1.03);
    box-shadow: 0 15px 25px rgba(0,0,0,0.35);
}
.stream-list > .box:hover .stream-details img {
    transition: mask-position 2s ease, -webkit-mask-position 1s ease;
    -webkit-mask-position: 120%;
    mask-position: 120%;
    opacity: 1;
}
.stream-list .ribbon2 {
    left: 0;
    top: 0;
}
.stream-list .ribbon2 span {
    width: auto;
    left: 0.5rem;
    top: 0.5rem;
    margin: 0;
    padding: 0.2rem 0.3rem;
}
.stream-list .ribbon2 img {
    width: 12px;
    height: 12px;
}
.stream-details {
    padding: 0.5rem;
    text-align: center;
    height: 100%;
    display: flex;
    flex-direction: column;
}
.stream-details img {
    display: block;
    width: 100%;
    max-height: 250px;
    object-fit: cover;
    -webkit-mask-image: linear-gradient(45deg, #000 25%, rgba(0, 0, 0, .2) 50%, #000 75%);
    mask-image: linear-gradient(45deg, #000 25%, rgba(0, 0, 0, .2) 50%, #000 75%);
    -webkit-mask-size: 800%;
    mask-size: 800%;
    -webkit-mask-position: 0;
    mask-position: 0;
}
.stream-info {
    display: block;
    background-color: #2e2e2e;
    font-size: 12px;
    color: #ffc582;
    padding: 0.3rem 10px;
}
.stream-details h2 {
    background-color: #1c1c1c;
    font-size: 1rem;
    margin: 0;
    padding: 0.3rem 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    font-weight: normal;
}
#site-footer {
    background-color: #333333;
}
#site-footer .sec-title {
    background: linear-gradient(to right, #333333 0, #cb9b51 22%, #f6e27a 45%, #f6f2c0 50%, #f6e27a 55%, #cb9b51 78%, #333333 100%);
    border: 0;
}
.footer-icons {
    text-align: center;
    padding: 4px 0;
}
.footer-icons a {
    display: inline-block;
}
.footer-icons img {
    width: 70px;
    height: 60px;
    object-fit: contain;
    background-color: #ffffff;
}
.footer-links {
    margin: 1rem 0;
}
.footer-links ul {
    padding: 0;
    margin: 0;
    text-align: center;
}

.footer-links li {
    display: inline-block;
    margin: 0 10px;
}
.menu-hamburger {
    position: absolute;
    top: 20px;
    right: 15px;
    z-index: 10;
    display: none;
}
.menu-hamburger .line {
    width: 30px;
    height: 3px;
    background-color: #ffffff;
    margin: 6px 0;
    transition: all 0.3s ease-in-out;
    display: block;
}

.menu-active .menu-hamburger .line:nth-child(1) {
    transform: translateY(9px) rotate(45deg);
}

.menu-active  .menu-hamburger .line:nth-child(2) {
    opacity: 0;
}

.menu-active .menu-hamburger .line:nth-child(3) {
    transform: translateY(-9px) rotate(-45deg);
}

.white_content1 {  /* ADS กลาง */
    display: none;
    position: fixed;
    bottom : 0;
    left: 10%;
    width: 80%;
    /* background-color: white; */
    z-index: 1002;
    overflow: auto;
    padding: 16px;
    /* background-color: white; 
    -webkit-box-shadow: 0 0 20px 4px #000000;
    box-shadow: 0 0 20px 4px #000000;  */
}
.white_content2 {  /* ADS ขวา */
    position: fixed;
    right: 0px;
    z-index: 1030;
    top: 110px;
    padding: 0px;
    /* background-color: white; 
    -webkit-box-shadow: 0 0 20px 4px #000000;
    box-shadow: 0 0 20px 4px #000000;  */
}
.white_content3 {  /* ADS ซ้าย */
    position: fixed;
    left: 0px;
    z-index: 1030;
    top: 110px;
    padding: 0px;
    /* background-color: white; 
    -webkit-box-shadow: 0 0 20px 4px #000000;
    box-shadow: 0 0 20px 4px #000000;  */
}

.member-info {
    display: flex;
    flex-direction: column;
    background: blue;
    padding: 10px;
    text-align: center;
}

.member-info > p {
    margin: 5px 0;
}

#light1 {
    width: 100%;
    max-width: 60%;
    transform: translateX(-50%);
    left: 50%;
    text-align: center;
    margin: 0;
}

.browse_page {
    width: 100%;
    margin: 2rem 0;
    text-align: center;
    padding: 0;
    display: flex;
    justify-content: center;
}

.blog-item {
    display: flex;
    background: rgb(102, 102, 102);
    padding: 1rem;
    grid-template-columns: repeat(2, 1fr);
    gap: 15px;
    margin-bottom: 10px;
}

.blog-item > * {
    width: 50%;
}

.blog-info > p > a {
    padding: 3px 5px;
    display: inline-block;
    background: #e4b92e;
    border-radius: 5px;
    margin-bottom: 3px;
}

#login input[type="image"]{
    max-width: 170px;
}
#contact-form {
    padding: 10px;
    max-width: 600px;
    margin: auto;
}
.input-row input, 
.input-row select,
.input-row textarea {
    background:#c2c2c2;
    width: 100%;
    max-width: 440px;
    height: 30px;
    font-size: 17px;
    border: 0;
}
.input-row textarea {
    height: 100px;
}
.input-row {
    display: flex;
    margin: 1rem 0;
}
.form-label {
    width: 40%;
}
.form-field {
    width: 60%;
}
.error-page {
    background: #db6300;
    text-align: center;
    padding: 20px;
    height: 300px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.error-page h2,.error-page h3 {
    margin: 5px 0;
}

.error-page h2 {
    color: #FFFF00;
    font-size: 45px;
}

.error-page h3 {
    font-size: 25px;
}
.tag {
    background: red;
    color: #fff;
    padding: 3px 5px;
    display: inline-block;
}

.iframe-container {
    aspect-ratio: 16 / 9;
    width: 100%;
    max-width: 100%;
    overflow: hidden;
    position: relative;
}

.iframe-container iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

.stream-preview {
    display: flex;
    justify-content: space-evenly;
}

.stream-preview > img {
    width: 30%;
    height: 100%;
    object-fit: cover;
}

.stream-preview .iframe-container {
    width: 70%;
}

.sream-info {
    display: flex;
    justify-content: space-around;
    padding: 10px;
    background: #333333;
    align-items: center;
}

.social-media-share {
    display: flex;
    align-items: center;
    justify-content: center;
}

.social-media-share > a {
    /* padding: 5px; */
    width: 40px;
    height: 35px;
    font-size: 18px;
    margin: 0 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.social-media-share > a:hover {
    opacity: 0.5;
}

.social-media-share > a.fa-facebook {
    background: #3B5998;
}
.social-media-share > a.fa-twitter {
    background: #55ACEE;
}
.social-media-share > a.fa-line {
    background: #00ba1c;
}

.footer-article {
    justify-content: center;
    text-align: justify;
margin: 1rem 0 3rem;
}

.footer-article h1, 
.footer-article h2, 
.footer-article h3, 
.footer-article h4, 
.footer-article h5, 
.footer-article h6 {
    text-align: center;
    color: #f8ba0c;
}

.footer-article .more-content {
display: none;
}

.view-more a {
    background: #f8ba0c;
    color: black;
    display: inline-block;
    padding: 3px 50px;
    border-radius: 5px;
}

.view-more {
    text-align: center;
}

.view-more a:hover {
    background: #f6e27a;
}
  
@media (max-width: 1360px) {
    #site-top-head .site-desc {
        font-size: 20px;
    }
    #site-nav {
        font-size: 0.8rem;
    }
}

@media (max-width: 767px) {
    .menu-hamburger {
        display: block;
    }
    #site-nav {
        display: none;
        position: fixed;
        width: 300px;
        height: 100%;
        background: linear-gradient(to bottom, #cb9b51, #462523);
        top: 0;
        right: 0;
        padding-top: 50px;
        z-index: 9;
    }
    .menu-active .menu-hamburger {
        position: fixed;
    }
    .menu-active #site-nav {
        display: block;
    }
    #site-nav ul {
        display: block;
    }
    
    #site-nav li {
        border-bottom: 1px solid rgb(255 255 255 / 10%);
    }
    #site-content > .container {
        display: block;
    }
    .site-sidebar,
    .site-primary {
        width: 100%;
    }
    .widget-ads {
        text-align: center;
    }
    .widget-ads .ads-banner {
        display: inline-block;
        text-align: center;
    }
    .widget-ads img {
        width: auto;
    }
}

@media (max-width: 500px) {
    body {
        font-size: 14px;
    }
    #site-logo img {
        max-width: 150px;
    }
    #site-top-head .site-desc {
        font-size: 16px;
    }
    #site-top-head .container {
        display: block;
        text-align: center;
    }
    .site-search {
        display: flex;
        justify-content: center;
    }
    .stream-list {
        grid-template-columns: repeat(2, 1fr);  /*กำหนดคอลั้ม*/
    }
    .stream-info {
        font-size: 10px;
    }
    .stream-details {
        padding: 0.3rem;
    }
    .stream-details h2 {
        font-size: 12px;
    }
    .stream-list .ribbon2 span {
        left: 0.3rem;
        top: 0.3rem;
    }
    .blog-item {
        display: block;
    }
    .blog-item > * {
        width: 100%;
    }
    #light,
    #light2 {
        display: none !important;
    }
    #light1 {
        max-width: 450px;
    }
}